#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# cdc.py
#
# Configuration de base de données mysql de cdc
#
###########################################################################
"""
    Config pour cdc
"""
from os.path import isdir
from eolesql.config import dico_creole
CDC_TABLEFILENAMES = ["/etc/sysconfig/eole/scribe-cdc.sql"]
def test():
    """
        test l'existence de la table cdc
    """
    return dico_creole.get('scribe_envole_cdc', 'non') == 'oui' and \
            not isdir("/var/lib/mysql/cdc")

conf_dict = dict(filenames=CDC_TABLEFILENAMES,
                 test=test)
